package com.gx.obe.step.price.calculator;

import java.math.BigDecimal;
import java.util.List;

import com.gx.obe.step.price.beans.PriceResult;

/** 
 * @Description: 价格结果计算器
 * @author chenxw 
 */
public interface PriceFormulaCalculator {
	
	/**
	 * @Description: 初始化
	 * @author chenxw
	 * @param priceList 
	 */
	void init(List<BigDecimal> priceList);
	
	/**
	 * @Description: 获取基准价
	 * @author chenxw
	 * @return 
	 */
	BigDecimal getBasePrice();
	
	/**
	 * @Description: 计算价格结果
	 * @author chenxw
	 * @param price
	 * @return 
	 */
	PriceResult calculate(BigDecimal price);

	/**
	 * @Description: 获取价格单位
	 * @author chenxw
	 * @return 
	 */
	String getPriceUnit();
	
}
