package com.gx.obe.step.price.calculator;

import java.math.BigDecimal;
import java.util.List;
import java.util.stream.Collectors;

import com.gx.obe.step.price.beans.SupplierPriceDetailEvalResult;
import com.gx.obe.step.price.utils.BigDecimalUtils;

/** 
 * @Description: 供应商价格总分通过各项明细得分的平均分来计算
 * @author chenxw 
 */
public class SupplierTotalScoreAverageCalculator implements SupplierTotalScoreCalculator {
	
	@Override
	public BigDecimal calculate(List<SupplierPriceDetailEvalResult> supplierPriceDetailEvalResultList) {
		return BigDecimalUtils.average(supplierPriceDetailEvalResultList.stream().map(SupplierPriceDetailEvalResult::getScore).collect(Collectors.toList()));
	}
	
}
