package com.gx.obe.step.price.calculator;

/** 
 * @Description: 供应商价格总分计算器工厂
 * @author chenxw 
 */
public class SupplierTotalScoreCalculatorFactory {
	
	private static final String AVERAGE = "average";
	private static final String WEIGHTED = "weighted";
	
	/**
	 * @Description: 创建总分计算器
	 * @author chenxw
	 * @param type 计算类型
	 * @return 
	 */
	public static SupplierTotalScoreCalculator create(String type) {
		switch (type) {
			case AVERAGE:
				return new SupplierTotalScoreAverageCalculator();
			case WEIGHTED:
				return new SupplierTotalScoreWeightedCalculator();
			default:
				return new SupplierTotalScoreAverageCalculator();
		}
	}
	
}
