package com.gx.obe.step.price.calculator;

import java.math.BigDecimal;
import java.util.List;

import com.gx.obe.step.price.beans.SupplierPriceDetailEvalResult;

/** 
 * @Description: 供应商价格总分通过各项明细得分的权重占比来计算
 * @author chenxw 
 */
public class SupplierTotalScoreWeightedCalculator implements SupplierTotalScoreCalculator {
	
	@Override
	public BigDecimal calculate(List<SupplierPriceDetailEvalResult> supplierPriceDetailEvalResultList) {
		return supplierPriceDetailEvalResultList.stream().reduce(BigDecimal.ZERO, this::accumulator, BigDecimal::add);
	}
	
	/**
	 * @Description: 计算权重后得分并累计
	 * @author chenxw
	 * @param bigDecimal
	 * @param result
	 * @return 
	 */
	private BigDecimal accumulator(BigDecimal bigDecimal, SupplierPriceDetailEvalResult result) {
		return bigDecimal.add(result.getScore().multiply(result.getWeight()));
	}
	
}
