package com.gx.obe.step.price.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.bpt.service.BidPriceTableService;
import com.gx.obe.step.price.beans.PriceDetailEvalResult;
import com.gx.obe.step.price.dto.PriceDetailEvalResultDto;
import com.gx.obe.web.entity.EvaluationFactorResult;
import com.gx.obe.web.utils.ObeHttpUtils;

/**
 * @Description: 报价明细评审结果服务
 * @author chenxw
 */
public class PriceDetailEvalResultService {
	
	protected static final Logger logger = Logger.getLogger(BidPriceTableService.class);
	
	protected static final String URL = "obePriceDetailEvalResult";
	
	/**
	 * @Description: 获取报价明细评审结果列表
	 * @author chenxw
	 * @param tenderId
	 * @return
	 */
	public static List<PriceDetailEvalResult> getPriceDetailEvalResultList(String tenderId) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		return ObeHttpUtils.getList(URL.concat("/getPriceDetailEvalResultList"), param, PriceDetailEvalResult.class);
	}
	
	/**
	 * @Description: 保存评审结果
	 * @author chenxw
	 * @param userId
	 * @param factorId
	 * @param stepId
	 * @param tenderId
	 * @param evalResultList
	 * @param factorResultList
	 * @return
	 */
	public static boolean saveEvaluationResult(String tenderId, String stepId, String factorId, String userId, List<PriceDetailEvalResult> evalResultList, List<EvaluationFactorResult> factorResultList) {
		PriceDetailEvalResultDto priceDetailEvalResultDto = new PriceDetailEvalResultDto();
		priceDetailEvalResultDto.setTenderId(tenderId);
		priceDetailEvalResultDto.setStepId(stepId);
		priceDetailEvalResultDto.setFactorId(factorId);
		priceDetailEvalResultDto.setUserId(userId);
		priceDetailEvalResultDto.setPriceDetailEvalResultList(evalResultList);
		priceDetailEvalResultDto.setEvaluationFactorResultList(factorResultList);
		return ObeHttpUtils.post(URL.concat("/saveEvaluationResult"), priceDetailEvalResultDto);
	}
	
}
