package com.gx.obe.step.price.utils;

import java.math.BigDecimal;
import java.util.Optional;

public class FactorUtils {
	
	public static BigDecimal getRealWeight(BigDecimal weight) {
		// 百分制换算（默认为1）
		weight = Optional.ofNullable(weight).map(BigDecimal.valueOf(0.01)::multiply).orElse(BigDecimal.ONE);
		// 范围在0~1之间
		weight = BigDecimalUtils.withinScope(weight, BigDecimal.ZERO, BigDecimal.ONE);
		// 如果为0则修改为1
		return BigDecimalUtils.replace(weight, BigDecimal.ZERO, BigDecimal.ONE);
	}
	
}
